<?php

global $post_ID;

$playlist = sap_playlist($post_ID);
$playlist->admin = true;

$def_settings = array(
    -1 => __("Default", "smart-audio-playlists"),
    0 => __("Hide", "smart-audio-playlists"),
    1 => __("Show", "smart-audio-playlists")
);

?>
<label for="sap-details-show-track-download"><?php _e("Show Tracks Download Links", "smart-audio-playlists"); ?></label>
<?php sap_render_select($def_settings, array('selected' => $playlist->show_track_download, 'name' => 'sap[meta][show_track_download]', 'id' => 'sap-details-show-track-download')); ?>
<br/>
<label for="sap-details-show-track-images"><?php _e("Show Tracks Thumbnails", "smart-audio-playlists"); ?></label>
<?php sap_render_select($def_settings, array('selected' => $playlist->show_track_images, 'name' => 'sap[meta][show_track_images]', 'id' => 'sap-details-show-track-images')); ?>
<br/>
<label for="sap-details-show-track-numbers"><?php _e("Show Tracks Numbers", "smart-audio-playlists"); ?></label>
<?php sap_render_select($def_settings, array('selected' => $playlist->show_track_numbers, 'name' => 'sap[meta][show_track_numbers]', 'id' => 'sap-details-show-track-numbers')); ?>
<br/>
<label for="sap-details-show-track-statistics"><?php _e("Show Tracks Statistics", "smart-audio-playlists"); ?></label>
<?php sap_render_select($def_settings, array('selected' => $playlist->show_track_statistics, 'name' => 'sap[meta][show_track_statistics]', 'id' => 'sap-details-show-track-statistics')); ?>
<hr/>
<label for="sap-details-show-about"><?php _e("Show Playlist Description / About", "smart-audio-playlists"); ?></label>
<?php sap_render_select($def_settings, array('selected' => $playlist->show_about, 'name' => 'sap[meta][show_about]', 'id' => 'sap-details-show-about')); ?>
<br/>
<label for="sap-details-show-statistics"><?php _e("Show Playlist Statistics", "smart-audio-playlists"); ?></label>
<?php sap_render_select($def_settings, array('selected' => $playlist->show_statistics, 'name' => 'sap[meta][show_statistics]', 'id' => 'sap-details-show-statistics')); ?>
<br/>
<label for="sap-details-show-metadata"><?php _e("Show Playlist Metadata", "smart-audio-playlists"); ?></label>
<?php sap_render_select($def_settings, array('selected' => $playlist->show_metadata, 'name' => 'sap[meta][show_metadata]', 'id' => 'sap-details-show-metadata')); ?>
