<?php

global $wp_roles, $scw_core_loader;
$list = array(
    array('title' => __("Global", "smart-audio-playlists"), 
          'values' => array('all' => __("Everyone", "smart-audio-playlists"), 'visitor' => __("Only Visitors", "smart-audio-playlists"), 'user' => __("All Users", "smart-audio-playlists"))),
    array('title' => __("User Roles", "smart-audio-playlists"), 
          'values' => array())
);

foreach ($wp_roles->role_names as $role => $title) {
    $list[1]['values']['role:'.$role] = $title;
}

?>
<hr/>
<p>
    <label for="<?php echo $this->get_field_id('_display'); ?>"><?php _e("Display To:", "smart-audio-playlists"); ?></label>
    <?php $this->display_select_options_grouped($list, $instance['_display'], $this->get_field_name('_display'), $this->get_field_id('_display'), 'widefat'); ?>
</p>
<p>
    <label for="<?php echo $this->get_field_id('_class'); ?>"><?php _e("Extra CSS Class:", "smart-audio-playlists"); ?></label>
    <input class="widefat" id="<?php echo $this->get_field_id('_class'); ?>" name="<?php echo $this->get_field_name('_class'); ?>" type="text" value="<?php echo esc_attr($instance['_class']); ?>" />
</p>
