<?php

$tax = get_query_var('sapindex');
$taxonomy = get_taxonomy($tax);

$class = 'smart-audio-playlist sap-index-playlists sap-index-tax-'.$tax;

$class = apply_filters('sap_template_index_classes', $class, 'sap-index-terms-cloud');

?>
<div class="<?php echo $class; ?>">
    <?php if (smart_sap_core()->get('templates_index_title')) { ?>
    <h1 class="sap-entry-title"><?php echo $taxonomy->labels->name.' '.__("Index", "smart-audio-playlists"); ?></h1>
    <?php } ?>

    <div class="sap-index-playlists-cloud">
        <?php

            sap_terms_cloud(array(
                'smallest' => 10,
                'largest' => 32,
                'taxonomy' => $tax,
                'post_types' => 'sapplaylist'
            ));

        ?>
    </div>
</div>
