<hr/>
<p>
    <label for="<?php echo $this->get_field_id('id'); ?>"><?php _e("Playlist ID", "smart-audio-playlists"); ?>:</label>
    <input class="widefat" id="<?php echo $this->get_field_id('id'); ?>" name="<?php echo $this->get_field_name('id'); ?>" type="text" value="<?php echo esc_attr($instance['id']); ?>" />
<em><?php _e("Leave to 0 for random playlist", "smart-audio-playlists"); ?></em>
</p>
<p>
    <label for="<?php echo $this->get_field_id('volume'); ?>"><?php _e("Initial Volume", "smart-audio-playlists"); ?>:</label>
    <input class="widefat" id="<?php echo $this->get_field_id('volume'); ?>" name="<?php echo $this->get_field_name('volume'); ?>" type="text" value="<?php echo esc_attr($instance['volume']); ?>" />
<em><?php _e("Initial player volume, range allowed: 0 to 100.", "smart-audio-playlists"); ?></em>
</p>
<p>
    <label for="<?php echo $this->get_field_id('style'); ?>"><?php _e("Style", "smart-audio-playlists"); ?>:</label>
    <?php $this->display_select_options(smart_sap_core()->styles, $instance['style'], $this->get_field_name('style'), $this->get_field_id('style'), 'widefat'); ?>
</p>
<p>
    <label for="<?php echo $this->get_field_id('skin'); ?>"><?php _e("Skin", "smart-audio-playlists"); ?>:</label>
    <?php $this->display_select_options(smart_sap_core()->skins, $instance['skin'], $this->get_field_name('skin'), $this->get_field_id('skin'), 'widefat'); ?>
</p>
<p>
    <label for="<?php echo $this->get_field_id('header'); ?>"><?php _e("Header", "smart-audio-playlists"); ?>:</label>
    <?php $this->display_select_options($this->header_list(), $instance['header'], $this->get_field_name('header'), $this->get_field_id('header'), 'widefat'); ?>
</p>
<hr/>
<p>
    <label style="font-weight: normal" for="<?php echo $this->get_field_id('hidden'); ?>">
        <input type="checkbox" id="<?php echo $this->get_field_id('hidden'); ?>" name="<?php echo $this->get_field_name('hidden'); ?>" value="1"<?php if ($instance['hidden']) echo ' checked="checked"'; ?> />
        <?php _e("Tracklist hidden on Load", "smart-audio-playlists"); ?></label>
<br/>
    <label style="font-weight: normal" for="<?php echo $this->get_field_id('link'); ?>">
        <input type="checkbox" id="<?php echo $this->get_field_id('link'); ?>" name="<?php echo $this->get_field_name('link'); ?>" value="1"<?php if ($instance['link']) echo ' checked="checked"'; ?> />
        <?php _e("Show link to Playlist Page", "smart-audio-playlists"); ?></label>
<br/>
    <label style="font-weight: normal" for="<?php echo $this->get_field_id('autoplay'); ?>">
        <input type="checkbox" id="<?php echo $this->get_field_id('autoplay'); ?>" name="<?php echo $this->get_field_name('autoplay'); ?>" value="1"<?php if ($instance['autoplay']) echo ' checked="checked"'; ?> />
        <?php _e("Autoplay on Page Load", "smart-audio-playlists"); ?></label>
<br/>
    <label style="font-weight: normal" for="<?php echo $this->get_field_id('metadata'); ?>">
        <input type="checkbox" id="<?php echo $this->get_field_id('metadata'); ?>" name="<?php echo $this->get_field_name('metadata'); ?>" value="1"<?php if ($instance['metadata']) echo ' checked="checked"'; ?> />
        <?php _e("Show meta information", "smart-audio-playlists"); ?></label>
</p>
<hr/>
<p>
    <label style="font-weight: normal" for="<?php echo $this->get_field_id('player_current'); ?>">
        <input type="checkbox" id="<?php echo $this->get_field_id('player_current'); ?>" name="<?php echo $this->get_field_name('player_current'); ?>" value="1"<?php if ($instance['player_current']) echo ' checked="checked"'; ?> />
        <?php _e("Player Current Playtime", "smart-audio-playlists"); ?></label>
<br/>
    <label style="font-weight: normal" for="<?php echo $this->get_field_id('player_progress'); ?>">
        <input type="checkbox" id="<?php echo $this->get_field_id('player_progress'); ?>" name="<?php echo $this->get_field_name('player_progress'); ?>" value="1"<?php if ($instance['player_progress']) echo ' checked="checked"'; ?> />
        <?php _e("Player Progress Bar", "smart-audio-playlists"); ?></label>
<br/>
    <label style="font-weight: normal" for="<?php echo $this->get_field_id('player_duration'); ?>">
        <input type="checkbox" id="<?php echo $this->get_field_id('player_duration'); ?>" name="<?php echo $this->get_field_name('player_duration'); ?>" value="1"<?php if ($instance['player_duration']) echo ' checked="checked"'; ?> />
        <?php _e("Player Current Track Duration", "smart-audio-playlists"); ?></label>
<br/>
    <label style="font-weight: normal" for="<?php echo $this->get_field_id('player_volume'); ?>">
        <input type="checkbox" id="<?php echo $this->get_field_id('player_volume'); ?>" name="<?php echo $this->get_field_name('player_volume'); ?>" value="1"<?php if ($instance['player_volume']) echo ' checked="checked"'; ?> />
        <?php _e("Player Volume Control", "smart-audio-playlists"); ?></label>
</p>